<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\City;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class CityController extends Controller
{
    public function allCities($region)
    {
        $allcities = City::where('region_id', $region)->get();

        $cities = [];
        foreach ($allcities as $city) {
            $cities[] = [
                'id' => $city->id,
                'name' => $city->name,
            ];
        }
        if ($cities) {
            return response()->json([
                'cities' => $cities,
                'status' => 200
            ]);
        } else {
            return response()->json([
                'message' => 'City not Found!',
                'status' => 404
            ]);
        }
    }

    public function cityDetails(Request $req)
    {
        $validator = Validator::make($req->all(), [
            'city' => 'required',
        ]);
        if ($validator->fails()) {
            return response([
                'errors' => $validator->errors()->all(),
                'status' => 422
            ]);
        }

        $city = City::where('name', $req->city)->first();

        if ($city) {
            return response()->json([
                'city' => [
                    'id' => $city->id,
                    'name' => $city->name,
                    'region' => $city->region->name
                ],
                'status' => 200
            ]);
        } else {
            return response()->json([
                'message' => 'Data not Found!',
                'status' => 404
            ]);
        }
    }
}
