<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Entity;
use Illuminate\Http\Request;

class EntityController extends Controller
{
    public function companies()
    {
        $entities = Entity::all();

        if (!$entities->isEmpty()) {
            $companyNames = []; // Store unique company names
            $Entity = [];
            foreach ($entities as $entity) {
                // Check if company name already exists in $companyNames array
                if (!in_array($entity->entity_name, $companyNames)) {
                    // If not, add it to $companyNames and $Entity array
                    $companyNames[] = $entity->entity_name;
                    $Entity[] = [
                        "id" => $entity->entity_code,
                        "name" => $entity->entity_name,
                    ];
                }
            }

            return response()->json([
                'response' => 'Success!',
                'data' => $Entity,
                'Status' => 200
            ]);
        } else {
            return response()->json([
                'message' => 'Data Not Found!',
                'Status' => 404
            ]);
        }
    }
}
