<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Region;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class RegionController extends Controller
{
    public function allregions($country)
    {
        $user = Auth::guard('sanctum')->user();

        if ($user->region) {
            $allRegions = Region::where('country_id', $country)->where('name', $user->region)->get();
        } else {
            $allRegions = Region::all();
        }

        $regions = [];
        foreach ($allRegions as $region) {
            $regions[] = [
                'id' => $region->id,
                'name' => $region->name,
            ];
        }
        if ($regions) {
            return response()->json([
                'regions' => $regions,
                'status' => 200
            ]);
        } else {
            return response()->json([
                'message' => 'Region not Found!',
                'status' => 404
            ]);
        }
    }
}
