<?php

namespace App\Http\Controllers;

use App\Models\Level2;
use App\Models\Level3;
use App\Models\Level4;
use Illuminate\Http\Request;

class LevelController extends Controller
{
    public function getLevel1Data($level2)
    {
        // Find the Level2 instance based on the selected value
        $level2 = Level2::findOrFail($level2);

        // Access the Level1 instance through the relationship
        $level1Data = $level2->level1;

        return response()->json($level1Data);
    }

    public function getLevel2Level1Data($level3Value)
    {
        // Find the Level3 instance based on the selected value
        $level3 = Level3::findOrFail($level3Value);

        // Access the Level2 and Level1 instances through the relationships
        $level2Data = $level3->level2;
        $level1Data = $level3->level2->level1;

        return response()->json([
            'level2' => $level2Data,
            'level1' => $level1Data,
        ]);
    }

    public function getLevel3Level2Level1Data($level4Value)
    {
        // Find the Level4 instance based on the selected value
        $level4 = Level4::findOrFail($level4Value);

        // Access the Level3, Level2, and Level1 instances through the relationships
        $level3Data = $level4->level3;
        $level2Data = $level4->level3->level2;
        $level1Data = $level4->level3->level2->level1;

        return response()->json([
            'level3' => $level3Data,
            'level2' => $level2Data,
            'level1' => $level1Data,
        ]);
    }

}
