<?php

namespace App\Http\Controllers;

use App\Models\Attachment;
use Illuminate\Http\Request;

class MediaController extends Controller
{
    public function media()
    {
        if (!$this->authorize('list-media')) {
            abort(403);
        }
        $imageExtensions = ['jpg', 'jpeg', 'png', 'gif']; // Add more image extensions as needed

        $attachments = Attachment::all()->filter(function ($attachment) use ($imageExtensions) {
            $extension = pathinfo($attachment->url, PATHINFO_EXTENSION);
            return in_array(strtolower($extension), $imageExtensions);
        });

        return view('admin.media.media', compact('attachments'));
    }
}
