<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class StoreAssetRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "asset_tag" => "required|unique:assets,bar_code",
            "company_id" => "required",
            "quantity" => "required",
            "asset_description" => "required",
            "lat" => "required",
            "lng" => "required",
            "room_number" => "required",
            "floors_number" => "required",
            "building_number" => "required",
            "city" => "required",
            "region" => "required",
            "country" => "required",
            "asset_type" => "required",
        ];
    }
}
