<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AssetStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'asset_type' => 'required|string',
            'tags' => 'required',
            'entity' => 'required|string',
            'asset_description' => 'required|string',
            'accounting_group_arabic_description' => 'nullable|string',
            'accounting_group_english_description' => 'nullable|string',
            'accounting_group_code' => 'nullable|integer',
            'remaining_useful_life' => 'nullable|string',
            'useful_life' => 'nullable|integer',
            'asset_owner' => 'nullable|string',
            'country' => 'required|string',
            'region' => 'required|string',
            'city' => 'required|string',
            'acquisition_method' => 'nullable|string',
            'date_placed_in_service' => 'nullable|date',
            'acquisition_date' => 'nullable|date',
            'acquisition_cost' => 'nullable|integer',
            'archive_document_number' => 'nullable|string',
            'asset_condition' => 'nullable|string',
            'tags' => 'required|string',
            'inspection_date' => 'nullable|date',
            'valuation_method' => 'nullable|string',
            'valuation_report_date' => 'nullable|date',
            'opening_balance_date' => 'nullable|date',
            'asset_opening_value' => 'nullable|integer',
            'valuation_report_reference' => 'nullable|string',
            'base_unit_of_measure' => 'nullable|string',
            'quantity' => 'required|integer',
            'unique_factory_id' => 'nullable|string',
            'building_number' => 'required|string',
            'floor_number' => 'required|string',
            'room_office_number' => 'required|string',
            'geographical_coordinates' => 'nullable|string',
            'manufacturer' => 'nullable|string',
            'model' => 'nullable|string',
            'level1' => 'nullable|string',
            'level2' => 'nullable|string',
            'level3' => 'nullable|string',
            'level4' => 'nullable|string',
            'longitute' => 'required|numeric',
            'latitude' => 'required|numeric',
            // 'admin_status' => 'required',
            'serial_number' => 'nullable',
        ];
    }
}
