<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class Level1StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|string|regex:/^[a-zA-Z\s]+$/',
            'name_ar' => 'required|string|regex:/^[\x{0600}-\x{06FF}\s]+$/u',
            'code' => 'required|string|max:2|min:2|unique:level1s,code'
        ];
    }

    public function messages()
    {
        return [
            'name' => 'Only letters and spaces are allowed',
            'name_ar' => 'Only Arabic characters and spaces are allowed',
        ];
    }
}
