<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UserStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|string|regex:/^[a-zA-Z\s]+$/',
            'username' => 'required|string|unique:users',
            'email' => 'required|email:rfc,dns|unique:users',
            'phone' => 'required|numeric|unique:users',
            'role' => 'required',
            'password' => 'required|string|min:8',
        ];
    }

    public function messages()
    {
        return [
            'name' => 'Only letters and spaces are allowed',
            // 'password' => 'Password field is req',
        ];
    }
}
