<?php

namespace App\Imports;

use App\Models\Asset;
use App\Models\City;
use App\Models\Country;
use App\Models\Entity;
use App\Models\Level1;
use App\Models\Level2;
use App\Models\Level3;
use App\Models\Level4;
use App\Models\Region;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use Maatwebsite\Excel\Concerns\WithCalculatedFormulas;

class customImportAsset implements ToCollection, WithCalculatedFormulas
{
    /**
     * Import assets from Excel collection.
     *
     * @param Collection $rows
     * @return void
     */


    public function collection(Collection $rows)
    {
        // dd($rows);
        try {
            foreach ($rows as $index => $row) {
                // Skip the first row if it contains column headers
                if ($index === 0) {
                    continue;
                }

                // dd($row);

                // if ($index === 1) {
                //     continue;
                // }

                // if ($index === 2) {
                //     continue;
                // }

                // if ($index === 3) {
                //     continue;
                // }
                // if ($index === 4) {
                //     continue;
                // }
                // if ($index === 5) {
                //     continue;
                // }


                // if (isset($row[2])) {
                //     dd($row[2]);
                // } else {
                //     dd("asd");
                //     // Handle the case when index 2 doesn't exist
                // }

                $entity = Entity::firstOrCreate([
                    'entity_name' => $row[1],
                    'entity_code' => $row[2],
                ]);

                // dd($entity->entity_code);

                $level1 = Level1::firstOrCreate([
                    'name' => $row[7],
                    'name_ar' => $row[6],
                    'code' => $row[8],
                ]);

                $level2 = Level2::firstOrCreate([
                    'name' => $row[10],
                    'name_ar' => $row[9],
                    'code' => $row[11],
                    'level1_id' => $level1->id,
                ]);

                $level3 = Level3::firstOrCreate([
                    'name' => $row[13],
                    'name_ar' => $row[12],
                    'code' => $row[14],
                    'level2_id' => $level2->id,
                ]);

                $country = Country::firstOrCreate([
                    'name' => $row[22],
                ]);

                $region = Region::firstOrCreate([
                    'name' => $row[23],
                    'country_id' => $country->id,
                ]);

                $city = City::firstOrCreate([
                    'name' => $row[24],
                    'region_id' => $region->id,
                ]);



                // $level4 = Level4::firstOrCreate([
                //     'name' => $row[16],
                //     'name_ar' => $row[15],
                //     'code' => $row[17],
                //     'level3_id' => $level3->id,
                // ]);

                // dd($entity, $level1, $level2, $level3);
                // dd($row[5]);
                // dd($level1->id);

                // If validation passes, create the asset
                $asset = Asset::create([
                    // 'id' => $row[0],
                    'asset_type' => 'furniture',
                    'entity_id' => $entity->id,
                    // 'entity_code' => $entity->entity_code,
                    'asset_description' => $row[5],
                    'accounting_group_arabic_description' => $row[15],
                    'accounting_group_english_description' => $row[16],
                    // 'accounting_group_code' => $row[17],
                    'remaining_useful_life' => $row[19],
                    'useful_life' => $row[20],
                    'asset_owner' => $row[21],
                    'country' => $country->name,
                    'region' => $region->name,
                    'city' => $city->name,
                    'building_number' => $row[25],
                    'floor_number' => $row[26],
                    'room_office_number' => $row[27],
                    'acquisition_method' => $row[28],
                    'date_placed_in_service' => $row[29],
                    'acquisition_date' => $row[30],
                    'acquisition_cost' => $row[31],
                    'supportive_document_for_acquisition_cost' => $row[32],
                    'archive_document_number' => $row[33],
                    'asset_condition' => $row[34],
                    'tag_number' => $row[35],
                    'inspection_date' => $row[37],
                    'valuation_method' => $row[38],
                    // 'valuation_report_date' => $row[41],
                    // 'opening_balance_date' => $row[42],
                    'asset_opening_value' => $row[39],
                    'valuation_report_reference' => $row[40],
                    'base_unit_of_measure' => $row[41],
                    'quantity' => $row[42],
                    // 'unique_factory_id' => $row[33],
                    // 'geographical_coordinates' => $row[34],
                    // 'manufacturer' => $row[35],
                    // 'model' => $row[36],
                    'level1' => $level1->id,
                    'level2' => $level2->id,
                    'level3' => $level3->id,
                    // 'level4' => $level4->id,
                    'longitute' => '31.558',
                    'latitude' => '74.35071',
                    // 'user_status' => $row[43],
                    // 'admin_status' => $row[44],
                    // 'asset_assign' => $row[45],
                    // 'created_at' => $row[46],
                    // 'updated_at' => $row[47],
                ]);

                toast('Asset imported!', 'success');
            }
        } catch (\Exception $e) {
            Log::error($e);
            return redirect()->back()->withErrors(["Error: " . $e])->withInput();
        }
    }
}
