<?php

namespace App\Imports;

use App\Models\Asset;
use App\Models\Level1;
use App\Models\Level2;
use App\Models\Level3;
use App\Models\Level4;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use Maatwebsite\Excel\Concerns\WithCalculatedFormulas;

class customImportAssetLevel implements ToCollection
{
    /**
     * Import assets from Excel collection.
     *
     * @param Collection $rows
     * @return void
     */


    public function collection(Collection $rows)
    {
        try {
            foreach ($rows as $index => $row) {
                // Skip the first row if it contains column headers
                if ($index === 0) {
                    continue;
                }

                // Search for an existing Level1 record
                $level1 = Level1::firstOrCreate([
                    'code' => $row[1],
                    'name_ar' => $row[2],
                    'name' => $row[3],
                ]);

                // Search for an existing Level2 record within the Level1 relationship
                $level2 = Level2::firstOrCreate([
                    'code' => $row[4],
                    'name_ar' => $row[5],
                    'name' => $row[6],
                ], ['level1_id' => $level1->id]);

                // Search for an existing Level3 record within the Level2 relationship
                $level3 = Level3::firstOrCreate([
                    'code' => $row[7],
                    'name_ar' => $row[8],
                    'name' => $row[9],
                ], ['level2_id' => $level2->id]);

                // Search for an existing Level4 record
                $level4 = Level4::firstOrCreate([
                    'code' => $row[10],
                    'name_ar' => $row[11],
                    'name' => $row[12],
                ]);

                toast('Classifications imported!', 'success');
            }
        } catch (\Exception $e) {
            return redirect()->back()->withErrors(["Make Sure Your Asset Fields is Unique." . $e])->withInput();
        }
    }
}
