<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Asset extends Model
{
    use HasFactory;

    const PDF = 'red';
    const PNG = 'black';
    const EXCEL = 'green';

    protected $fillable = [
        'id',
        'entity_id',
        // 'entity_code',
        'asset_description',
        'accounting_group_arabic_description',
        'accounting_group_english_description',
        'accounting_group_code',
        'remaining_useful_life',
        'useful_life',
        'asset_owner',
        'asset_co_owner',
        'country',
        'region',
        'city',
        'building_number',
        'floor_number',
        'room_office_number',
        'acquisition_method',
        'date_placed_in_service',
        'acquisition_date',
        'acquisition_cost',
        'supportive_document_for_acquisition_cost',
        'archive_document_number',
        'asset_condition',
        'tag_number',
        'inspection_date',
        'valuation_method',
        'valuation_report_date',
        'opening_balance_date',
        'asset_opening_value',
        'valuation_report_reference',
        'base_unit_of_measure',
        'quantity',
        'asset_type',
        'level1',
        'level2',
        'level3',
        'level4',
        'geographical_coordinates',
        'manufacturer',
        'model',
        'geographical_coordinates',
        'longitute',
        'latitude',
        'bar_code',
        'user_status',
        'admin_status',
        'asset_assign',
        'assign_by',
        'serial_number',
        'asset_have_serial_number',
        'flag',
        'employee_custody',
        'department_id'
    ];

    public function entity()
    {
        return $this->belongsTo(Entity::class);
    }

    public function attachments()
    {
        return $this->morphToMany(Attachment::class, 'attachable')->withPivot('is_featured');
    }

    public function department()
    {
        return $this->belongsTo(Department::class);
    }
}
