<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('assets', function (Blueprint $table) {
            $table->id();
            $table->string('asset_type');
            $table->foreignId('entity_id')->constrained('entities')->onDelete('cascade');
            // $table->integer('entity_code');
            $table->text('asset_description');
            $table->text('accounting_group_arabic_description')->nullable();
            $table->text('accounting_group_english_description')->nullable();
            $table->integer('accounting_group_code')->nullable();
            $table->string('remaining_useful_life')->nullable();
            $table->integer('useful_life')->nullable();
            $table->string('asset_owner')->nullable();
            $table->string('assign_by')->nullable();
            $table->string('country');
            $table->string('region');
            $table->string('city');
            $table->string('building_number');
            $table->string('floor_number');
            $table->string('room_office_number');
            $table->string('acquisition_method')->nullable()->default('N/A');
            $table->string('date_placed_in_service')->nullable()->default('N/A'); // Date
            $table->string('acquisition_date')->nullable()->default('N/A'); // Date
            $table->string('acquisition_cost')->nullable()->default('N/A');
            $table->string('archive_document_number')->nullable()->default('N/A');
            $table->string('asset_condition')->nullable()->default('Condition assessment not performed');
            $table->string('tag_number')->unique()->nullable();
            $table->string('inspection_date')->nullable()->default('Inspection not performed'); // Date
            $table->string('valuation_method')->nullable();
            $table->string('valuation_report_date')->nullable()->default('Valuation not performed'); // Date
            $table->string('opening_balance_date')->nullable(); // Date
            $table->integer('asset_opening_value')->nullable();
            $table->string('valuation_report_reference')->nullable()->default('No Valuation Report');
            $table->string('base_unit_of_measure')->nullable();
            $table->integer('quantity');
            $table->string('unique_factory_id')->nullable()->default('No Serial Number on Asset'); //Plant & Machinery
            $table->string('geographical_coordinates')->nullable()->default('Spatial Data, Geographic Data or "Not Available"'); //Plant & Machinery
            $table->string('manufacturer')->nullable()->default('N/A');
            $table->string('model')->nullable()->default('N/A');
            $table->string('level1')->nullable();
            $table->string('level2')->nullable();
            $table->string('level3')->nullable();
            $table->string('level4')->nullable();
            $table->string('longitute');
            $table->string('latitude');
            $table->string('user_status')->nullable();
            $table->string('admin_status')->nullable();
            $table->string('asset_assign')->nullable();
            $table->string('serial_number')->nullable();
            $table->boolean('asset_have_serial_number')->nullable();
            $table->string('supportive_document_for_acquisition_cost')->nullable();
            $table->string('flag')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('assets');
    }
};
