<?php

namespace Database\Seeders;

use App\Models\Permission;
use App\Models\Role;
use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\PermissionRegistrar;


class UserRolePermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        // $userRole = Role::create(['name' => User::USER_ROLE]);
        $superAdminRole = Role::create(['name' => User::SUPER_ADMIN_ROLE]);
        $supervisorRole = Role::create(['name' => User::SUPERVISOR_ROLE]);
        $dataEntryRole = Role::create(['name' => User::DATA_ENTRY_ROLE]);
        $fieldUserRole = Role::create(['name' => User::FIELD_USER_ROLE]);

        // $user_permission_arr = array(
        //     'user-demo-permission',
        // );

        $all_permission_arr = array(
            // Users
            'create-user',
            'list-user',
            'edit-user',
            'delete-user',
            // Permissions
            'create-permission',
            'list-permission',
            'edit-permission',
            'delete-permission',
            // Roles
            'create-role',
            'list-role',
            'edit-role',
            'delete-role',
            // Country
            'create-country',
            'list-country',
            'edit-country',
            'delete-country',
            // Region
            'create-region',
            'list-region',
            'edit-region',
            'delete-region',
            // City
            'create-city',
            'list-city',
            'edit-city',
            'delete-city',
            // Valuation Method
            'create-valuation_method',
            'list-valuation_method',
            'edit-valuation_method',
            'delete-valuation_method',
            // Level 1
            'create-level1',
            'list-level1',
            'edit-level1',
            'delete-level1',
            // Level 2
            'create-level2',
            'list-level2',
            'edit-level2',
            'delete-level2',
            // Level 3
            'create-level3',
            'list-level3',
            'edit-level3',
            'delete-level3',
            // Level 4
            'create-level4',
            'list-level4',
            'edit-level4',
            'delete-level4',
            // Entity
            'create-entity',
            'list-entity',
            'edit-entity',
            'delete-entity',
            // Assets
            'create-asset',
            'list-asset',
            'edit-asset',
            'delete-asset',
            'view-asset',
            'import-asset',
            'export-asset',
            'assign-asset',
            'list-flag_asset',
            'list-finish_asset',
            'download-asset-images',

            // status
            'create-status',
            'list-status',
            'edit-status',
            'delete-status',
            // Media
            'list-media',
            // Dashboard
            'show-map',
            'show-cards',

            // department
            'create-department',
            'list-department',
            'edit-department',
            'delete-department',

        );

        $data_entry_permission_arr = array(
            'list-asset',
            'edit-asset',
            'view-asset',
        );

        $supervisor_permission_arr = array(
            'list-asset',
            'edit-asset',
            'view-asset',
            'assign-asset',

            'create-user',
            'list-user',
            'edit-user',
        );

        $all_permissions = array_merge($all_permission_arr);

        foreach ($all_permissions as $all_permissions_name) {
            Permission::create(['name' => $all_permissions_name]);
        }

        // foreach ($user_permission_arr as $user_permission_arr_name) {
        //     $dataEntryRole->givePermissionTo($user_permission_arr_name);
        // }

        foreach ($data_entry_permission_arr as $data_entry_permission_arr_name) {
            $dataEntryRole->givePermissionTo($data_entry_permission_arr_name);
        }

        foreach ($supervisor_permission_arr as $supervisor_permission_arr_name) {
            $supervisorRole->givePermissionTo($supervisor_permission_arr_name);
        }


        $super_admin = User::create([
            'name' => 'super-admin',
            'username' => 'superadmin',
            'email' => 'superadmin@gmail.com',
            'password' => bcrypt('5w0zY.R7ciB('),
        ]);

        // $admin = User::create([
        //     'name' => 'admin',
        //     'email' => 'admin@gmail.com',
        //     'password' => bcrypt('password'),
        // ]);


        $super_admin->assignRole($superAdminRole);
    }
}
