/**
 *
 * You can write your JS code here, DO NOT touch the default style file
 * because it will make it harder for you to update.
 *
 */

"use strict";


// Multi docs Upload
$(function () {
    $(document).on('click', '.btn-add', function (e) {
        e.preventDefault();

        var controlForm = $('.controls:first'),
            currentEntry = $(this).parents('.entry:first'),
            newEntry = $(currentEntry.clone()).appendTo(controlForm);

        newEntry.find('input').val('');
        controlForm.find('.entry:not(:last) .btn-add')
            .removeClass('btn-add').addClass('btn-remove')
            .removeClass('btn-success').addClass('btn-danger')
            .html('<span class="fa fa-trash"></span>');
    }).on('click', '.btn-remove', function (e) {
        $(this).parents('.entry:first').remove();

        e.preventDefault();
        return false;
    });
});


// Asset Create ( auto fill Fields )

$(document).ready(function () {
    // Change event for the country dropdown
    $('#country').on('change', function () {
        var countryId = $(this).val();

        // If a country is selected, fetch regions using AJAX
        if (countryId) {
            $.ajax({
                url: '/admin/fetch-regions/' + countryId,
                type: 'GET',
                success: function (data) {
                    // Clear existing options and enable the region dropdown
                    $('#region').empty().prop('disabled', false);
                    $('#city').empty().prop('disabled', true);

                    // Prepend the default option for region selection
                    $('#region').append('<option value="" selected>Choose...</option>');

                    // Add new options based on the fetched data
                    $.each(data, function (key, value) {
                        $('#region').append('<option value="' + value.id +
                            '">' + value.name + '</option>');
                    });
                },
                error: function (xhr, status, error) {
                    console.error(error);
                }
            });
        } else {
            // If no country is selected, disable and reset the region and city dropdowns
            $('#region, #city').empty().prop('disabled', true);
            // Reset the region dropdown with the default option
            $('#region').append('<option value="" selected>Choose Country First</option>');
        }
    });


    // Change event for the region dropdown
    $('#region').on('change', function () {
        var regionId = $(this).val();

        // If a region is selected, fetch cities using AJAX
        if (regionId) {
            $.ajax({
                url: '/admin/fetch-cities/' +
                    regionId, // Update the URL to match your route
                type: 'GET',
                success: function (data) {
                    // Clear existing options and enable the city dropdown
                    $('#city').empty().prop('disabled', false);

                    $('#city').append('<option value="" selected>Choose...</option>');

                    // Add new options based on the fetched data
                    $.each(data, function (key, value) {
                        $('#city').append('<option value="' + value.id +
                            '">' + value.name + '</option>');
                    });
                },
                error: function (xhr, status, error) {
                    console.error(error);
                }
            });
        } else {
            // If no region is selected, disable and reset the city dropdown
            $('#city').empty().prop('disabled', true).append(
                '<option value="" selected>Choose Region To Continue</option>'
            );
        }
    });
});


// Level Field Auto Detect Functionality

$(document).ready(function () {
    // Level 2 selection change
    $('select[name="level2"]').on('change', function () {
        var level2Value = $(this).val();

        // Make an AJAX request to retrieve Level 1 data based on the selected Level 2
        $.ajax({
            type: 'GET',
            url: '/admin/get-level1-data/' + level2Value,
            dataType: 'json',
            success: function (data) {
                // Assuming data is an object with 'id', 'name', and 'code' properties
                // Update Level 1 select box dynamically
                var level1Select = $('select[name="level1"]');
                // level1Select.empty(); // Clear existing options

                // Add the retrieved option
                level1Select.append('<option value="' + data.id + '" selected>' +
                    data.name_ar + ' (' + data.code + ')</option>');
            },
            error: function (xhr, status, error) {
                console.error('Error retrieving Level 1 data:', error);
            }
        });
    });

    $('select[name="level3"]').on('change', function () {
        var level3Value = $(this).val();

        // Make an AJAX request to retrieve Level 2 and Level 1 data based on the selected Level 3
        $.ajax({
            type: 'GET',
            url: '/admin/get-level2-level1-data/' + level3Value,
            dataType: 'json',
            success: function (data) {
                // Assuming data is an object with 'level2' and 'level1' properties
                // Update Level 2 and Level 1 select boxes dynamically
                var level2Select = $('select[name="level2"]');
                // level2Select.empty(); // Clear existing options

                // Assuming data.level2 is an object
                level2Select.append('<option value="' + data.level2.id + '" selected>' +
                    data.level2.name_ar + ' (' + data.level2.code + ')</option>');

                // Similarly, update Level 1 select box
                var level1Select = $('select[name="level1"]');
                // level1Select.empty(); // Clear existing options

                // Add the retrieved option for Level 1
                level1Select.append('<option value="' + data.level1.id + '" selected>' +
                    data.level1.name_ar + ' (' + data.level1.code + ')</option>');
            },
            error: function (xhr, status, error) {
                console.error('Error retrieving Level 2 and Level 1 data:', error);
            }
        });
    });

    // Asset


    $(document).ready(function () {
        $('#quick_add_link').on('click', function () {
            var quickAddCode = $('#quick_add_input').val();

            if ($.isNumeric(quickAddCode) && quickAddCode.trim() !== '') {
                // Extract the first 2 digits from the quick add code
                var codePrefixLevel1 = quickAddCode.substring(0, 2);
                // Extract the next 2 digits for Level 2
                var codePrefixLevel2 = quickAddCode.substring(2, 4);
                // Extract the next 2 digits for Level 3
                var codePrefixLevel3 = quickAddCode.substring(4, 6);

                // Level 1 dropdown
                var level1Select = $('select[name="level1"]');
                // Level 2 dropdown
                var level2Select = $('select[name="level2"]');
                // Level 3 dropdown
                var level3Select = $('select[name="level3"]');

                // Check if the codePrefixLevel1 exists in Level 1 options
                var optionExistsLevel1 = false;

                // Find the matching option in Level 1 dropdown based on the codePrefixLevel1
                $('select[name="level1"] option').each(function () {
                    var optionCode = $(this).text().match(/\((\d{2})\)/);
                    if (optionCode && optionCode[1] === codePrefixLevel1) {
                        optionExistsLevel1 = true;
                        $(this).prop('selected', true);
                    } else {
                        $(this).prop('selected', false);
                    }
                });

                if (!optionExistsLevel1) {
                    // Display a message if the code doesn't exist in Level 1 options
                    alert('Code does not exist in Level 1 options. Please enter a valid code.');
                    return;
                }

                // Trigger change event after setting the selected option for Level 1
                level1Select.trigger('change');

                // Check if the codePrefixLevel2 exists in Level 2 options
                var optionExistsLevel2 = false;

                // Only execute Level 2 logic if the code is 4 digits long
                if (quickAddCode.length >= 4) {
                    // Find the matching option in Level 2 dropdown based on the codePrefixLevel2
                    $('select[name="level2"] option').each(function () {
                        var optionCode = $(this).text().match(/\((\d{2})\)/);
                        if (optionCode && optionCode[1] === codePrefixLevel2) {
                            optionExistsLevel2 = true;
                            $(this).prop('selected', true);
                        } else {
                            $(this).prop('selected', false);
                        }
                    });

                    if (!optionExistsLevel2) {
                        // Display a message if the code doesn't exist in Level 2 options
                        alert('Code does not exist in Level 2 options. Please enter a valid code.');
                        return;
                    }

                    // Trigger change event after setting the selected option for Level 2
                    level2Select.trigger('change');
                }

                // Check if the codePrefixLevel3 exists in Level 3 options
                var optionExistsLevel3 = false;

                // Only execute Level 3 logic if the code is 6 digits long
                if (quickAddCode.length >= 6) {
                    // Find the matching option in Level 3 dropdown based on the codePrefixLevel3
                    $('select[name="level3"] option').each(function () {
                        var optionCode = $(this).text().match(/\((\d{2})\)/);
                        if (optionCode && optionCode[1] === codePrefixLevel3) {
                            optionExistsLevel3 = true;
                            $(this).prop('selected', true);
                        } else {
                            $(this).prop('selected', false);
                        }
                    });

                    if (!optionExistsLevel3) {
                        // Display a message if the code doesn't exist in Level 3 options
                        alert('Code does not exist in Level 3 options. Please enter a valid code.');
                        return;
                    }

                    // Trigger change event after setting the selected option for Level 3
                    level3Select.trigger('change');
                }

                // You can add similar logic for Level 4 here
            }
        });
    });


    $(document).ready(function () {
        // Clear Fields button click event
        $('#clear_fields_link').on('click', function () {
            // Reset the Quick Add input field
            $('#quick_add_input').val('');

            // Reset all the dropdowns to their initial state
            $('select[name="level1"]').val('');
            $('select[name="level2"]').val('');
            $('select[name="level3"]').val('');
            $('select[name="level4"]').val('');

            // You can also trigger the change event for the first dropdown to clear any dependent logic
            $('select[name="level1"]').trigger('change');
            $('select[name="level2"]').trigger('change');
            $('select[name="level3"]').trigger('change');
        });
    });

    // Level 4 selection change
    // $('select[name="level4"]').on('change', function() {
    //     var level4Value = $(this).val();

    //     // Make an AJAX request to retrieve Level 3, Level 2, and Level 1 data based on the selected Level 4
    //     $.ajax({
    //         type: 'GET',
    //         url: '/admin/getLevel3Level2Level1Data/' + level4Value,
    //         dataType: 'json',
    //         success: function(data) {
    //             // Assuming data is an object with 'level3', 'level2', and 'level1' properties
    //             // Update Level 3, Level 2, and Level 1 select boxes dynamically
    //             var level3Select = $('select[name="level3"]');
    //             var level2Select = $('select[name="level2"]');
    //             var level1Select = $('select[name="level1"]');

    //             // Clear existing options for Level 3, Level 2, and Level 1
    //             level3Select.empty();
    //             level2Select.empty();
    //             level1Select.empty();

    //             // Add the retrieved options for Level 3
    //             level3Select.append('<option value="' + data.level3.id + '">' +
    //                 data.level3.name + ' (' + data.level3.code + ')</option>');

    //             // Add the retrieved options for Level 2
    //             level2Select.append('<option value="' + data.level2.id + '">' +
    //                 data.level2.name + ' (' + data.level2.code + ')</option>');

    //             // Add the retrieved options for Level 1
    //             level1Select.append('<option value="' + data.level1.id + '">' +
    //                 data.level1.name + ' (' + data.level1.code + ')</option>');

    //         },
    //         error: function(xhr, status, error) {
    //             console.error('Error retrieving Level 3, Level 2, and Level 1 data:',
    //                 error);
    //         }
    //     });
    // });


});

$(document).ready(function () {
    // Initial check on page load
    toggleplantAndMachinery();

    // Trigger on dropdown change
    $('#asset_type').on('change', function () {
        toggleplantAndMachinery();
    });

    function toggleplantAndMachinery() {
        var selectedOption = $('#asset_type').val();

        if (selectedOption === 'plantAndMachinery') {
            $('#plantAndMachinery').show();
        } else {
            $('#plantAndMachinery').hide();
        }
    }
});

$(document).ready(function () {
    // Manually initialize select2 when a collapse element becomes visible
    $('.collapse').on('shown.bs.collapse', function () {
        $(this).find('.select2').select2();
    });
});


// datatables-custom.js
$(document).ready(function () {
    // Add custom class to search input field of all DataTables instances
    $('.dataTables_filter input').addClass('form-control form-control-sm');
    $('select[name="dataTable_length"]').addClass('form-control form-control-sm');
});

var style = document.createElement('style');

// Append the style element to the document head
document.head.appendChild(style);

// Add a CSS rule to override the padding
style.sheet.insertRule('.dataTables_wrapper .dataTables_paginate .paginate_button { padding: 0.4rem 0.75rem !important; }', 0);


// Asset form cutom field

$(document).ready(function () {

    // custom status
    // Declare variables in the appropriate scope
    const adminStatusSelect = $("#admin_status");
    const customStatusContainer = $("#customStatusContainer");


    adminStatusSelect.on("change", function () {

        if ($(this).val() === "other") {
            customStatusContainer.show();
        } else {
            customStatusContainer.hide();
        }
    });

    // Initial check if "other" is selected by default
    if (adminStatusSelect.val() === "other") {
        customStatusContainer.show();
    }

    // building
    // Declare variables in the appropriate scope
    const building = $("#building_number");
    const newBuilding = $("#new_building_number");


    building.on("change", function () {

        if ($(this).val() === "other") {
            newBuilding.show();
        } else {
            newBuilding.hide();
        }
    });

    // Initial check if "other" is selected by default
    if (building.val() === "other") {
        newBuilding.show();
    }


    // Floor
    // Declare variables in the appropriate scope
    const floor = $("#floor_number");
    const newFloor = $("#new_floor_number");


    floor.on("change", function () {

        if ($(this).val() === "other") {
            newFloor.show();
        } else {
            newFloor.hide();
        }
    });

    // Initial check if "other" is selected by default
    if (floor.val() === "other") {
        newFloor.show();
    }

    // Floor
    // Declare variables in the appropriate scope
    const room_office_number = $("#room_office_number");
    const new_room_office_number = $("#new_room_office_number");


    room_office_number.on("change", function () {

        if ($(this).val() === "other") {
            new_room_office_number.show();
        } else {
            new_room_office_number.hide();
        }
    });

    // Initial check if "other" is selected by default
    if (room_office_number.val() === "other") {
        new_room_office_number.show();
    }

    // description
    // Declare variables in the appropriate scope
    const asset_description = $("#asset_description");
    const new_descripiton = $("#new_descripiton");


    asset_description.on("change", function () {

        if ($(this).val() === "other") {
            new_descripiton.show();
        } else {
            new_descripiton.hide();
        }
    });

    // Initial check if "other" is selected by default
    if (asset_description.val() === "other") {
        new_descripiton.show();
    }


});

