@extends('admin.layout.master')
@section('title', 'Distribution of tasks')
@section('section', 'Distribution of tasks')

@section('body')


    <div class="container">
        <form action="{{ route('assign_single_task.asset') }}" method="post">
            @csrf
            <!-- Text input -->
            <input type="hidden" name="id" value="{{ $asset->id }}">
            <div class="form-group">
                <label for="assign_by">Assign By</label>
                <input type="text" value="{{ old('assign_by', Auth::user()->username) }}"
                    class="form-control @error('assign_by') is-invalid @enderror" name="assign_by" autofocus disabled>
                @error('assign_by')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label for="asset_assign">Assign Asset</label>
                <select class="form-control select2 @error('asset_assign') is-invalid @enderror" name="asset_assign"
                    id="asset_assign">
                    <option value="" disabled selected>Choose...</option>
                    <option value="unSelect">Un-Select</option>
                    @foreach ($users as $user)
                        <option value="{{ $user->username }}" @if ($asset->asset_assign == $user->username) selected @endif>
                            {{ $user->username }}
                        </option>
                    @endforeach
                </select>
                @error('asset_assign')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <!-- Submit button -->
            <button type="submit" class="btn btn-danger custom-red-bg">Assign Now</button>
            <a name="" id="" class="btn btn-primary" href="{{ route('assets') }}" role="button">Back</a>
        </form>
        <div>

        @endsection
