@extends('admin.layout.master')
@section('title', 'Asset Import')
@section('section', 'Asset Import')

@section('body')

    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <h4>Furniture</h4>
    <div class="container">
        <div class="import" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">@lang('button.Import Xlsx')</h5>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('importData.asset_furniture') }}" method="post"
                            enctype="multipart/form-data">
                            @csrf
                            <label for="xlsxFile">@lang('button.Only .xlsx file allowed:')</label><br>
                            <input class="form-control" type="file" id="xlsxFile" name="file" accept=".xlsx"><br>
                            <button class="btn btn-danger" type="submit">@lang('button.Create')</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <hr>
    <h4>Plant & Machinary</h4>
    <div class="container">
        <div class="import" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">@lang('button.Import Xlsx')</h5>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('importData.asset_machinary') }}" method="post"
                            enctype="multipart/form-data">
                            @csrf
                            <label for="xlsxFile">@lang('button.Only .xlsx file allowed:')</label><br>
                            <input class="form-control" type="file" id="xlsxFile" name="file" accept=".xlsx"><br>
                            <button class="btn btn-danger" type="submit">@lang('button.Create')</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
