@extends('admin.layout.master')
@section('title', 'Update Asset')
@section('section', __('asset.Update Asset'))

@section('body')

    <div class="card card-danger">
        <div class="card-header">
            <h2>@lang('asset.Update Asset')</h2> <span class="ml-3"> @lang('asset.Selected Items') <b class="text-danger">( {{ count($idsArray) }}
                    )</b>
            </span>
        </div>

        <div class="card-body">
            <form method="POST" action="{{ route('asset.bulk_update') }}" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="id" value="{{ implode(',', $idsArray) }}">

                <div class="card">
                    <div class="card-header" data-toggle="collapse" data-target="#mycard-collapse-1">
                        <h4 id="grab-me">@lang('asset.Classification')</h4>
                        <div class="card-header-action">
                            <a data-collapse="#mycard-collapse-1" class="btn btn-icon btn-danger" href="#"><i
                                    class="fas fa-calendar"></i></a>
                        </div>
                    </div>
                    <div class="collapse show" id="mycard-collapse-1">
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="level1">@lang('asset.Level 1')</label>
                                    <select class="form-control select2" name="level1">
                                        <option value="" disabled selected>Choose...</option>
                                        @foreach ($level1s as $level1)
                                            <option value="{{ $level1->id }}">
                                                {{ $level1->name }} ({{ $level1->code }})
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-6">
                                    <label for="level2">@lang('asset.Level 2')</label>
                                    <select class="form-control select2" name="level2">
                                        <option value="" disabled selected>Choose...</option>
                                        @foreach ($level2s as $level2)
                                            <option value="{{ $level2->id }}">
                                                {{ $level2->name }} ({{ $level2->code }})
                                            </option>
                                        @endforeach
                                    </select>
                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="level3">@lang('asset.Level 3')</label>
                                    <select class="form-control select2" name="level3">
                                        <option value="" disabled selected>Choose...</option>
                                        @foreach ($level3s as $level3)
                                            <option value="{{ $level3->id }}">
                                                {{ $level3->name }} ({{ $level3->code }})
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-6">
                                    <label for="level4">@lang('asset.Level 4')</label>
                                    <select class="form-control select2" name="level4">
                                        <option value="" disabled selected>Choose...</option>
                                        @foreach ($level4s as $level4)
                                            <option value="{{ $level4->id }}">
                                                {{ $level4->name }} ({{ $level4->code }})
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="quick_add_code">@lang('button.Quick Add')</label>
                                    <input type="number" id="quick_add_input" class="form-control" name="quick_add_code"
                                        autofocus>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group">
                                    <label for="quick_add_button">&nbsp;</label>
                                    <a href="javascript:void(0);" id="quick_add_link" class="btn btn-danger">
                                        @lang('button.Quick Add')
                                    </a>
                                </div>
                                <div class="form-group">
                                    <label for="clear_fields_link">&nbsp;</label>
                                    <a href="javascript:void(0);" id="clear_fields_link" class="btn btn-secondary">
                                        @lang('button.Reset')
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-header" data-toggle="collapse" data-target="#mycard-collapse-3">
                        <h4 id="grab-me">@lang('asset.Location')</h4>
                        <div class="card-header-action">
                            <a data-collapse="#mycard-collapse-3" class="btn btn-icon btn-danger" href="#"><i
                                    class="fas fa-map-pin"></i></a>
                        </div>
                    </div>
                    <div class="collapse" id="mycard-collapse-3" style="">
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="country">@lang('asset.Country')</label>
                                    <select class="form-control select2" name="country" id="country" autofocus>
                                        <option value="" disabled selected>Choose...</option>
                                        @foreach ($countries as $country)
                                            <option value="{{ $country->id }}">
                                                {{ $country->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-6">
                                    <label for="region">@lang('asset.Region')</label>
                                    <select class="form-control select2" name="region" id="region" disabled>
                                        <option value="" disabled selected>Choose Country To Continue</option>
                                    </select>
                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="city">@lang('asset.City')</label>
                                    <select class="form-control select2" name="city" id="city" disabled>
                                        <option value="" disabled selected>Choose Region To Continue</option>
                                    </select>
                                </div>
                                <div class="form-group col-6">
                                    <label for="name">@lang('asset.Building Number')</label>
                                    <input id="name" type="text" value="{{ old('building_number') }}"
                                        class="form-control @error('building_number') is-invalid @enderror"
                                        name="building_number" autofocus>
                                    @error('building_number')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="name">@lang('asset.Floor Number')</label>
                                    <input id="name" type="text" value="{{ old('floor_number') }}"
                                        class="form-control @error('floor_number') is-invalid @enderror"
                                        name="floor_number" autofocus>
                                    @error('floor_number')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group col-6">
                                    <label for="room_office_number">@lang('asset.Room/Office Number')</label>
                                    <input id="room_office_number" type="text"
                                        value="{{ old('room_office_number') }}"
                                        class="form-control @error('room_office_number') is-invalid @enderror"
                                        name="room_office_number" autofocus>
                                    @error('room_office_number')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="longitute">@lang('asset.Longitude')</label>
                                    <input id="longitute" type="text" value="{{ old('longitute') }}"
                                        class="form-control @error('longitute') is-invalid @enderror" name="longitute"
                                        autofocus>
                                    @error('longitute')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group col-6">
                                    <label for="latitude">@lang('asset.Latitude')</label>
                                    <input id="latitude" type="text" value="{{ old('latitude') }}"
                                        class="form-control @error('latitude') is-invalid @enderror" name="latitude"
                                        autofocus>
                                    @error('latitude')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-header" data-toggle="collapse" data-target="#mycard-collapse-5">
                        <h4 id="grab-me">@lang('asset.Asset Acquisition')</h4>
                        <div class="card-header-action">
                            <a data-collapse="#mycard-collapse-5" class="btn btn-icon btn-danger" href="#"><i
                                    class="fas fa-shopping-bag"></i></a>
                        </div>
                    </div>
                    <div class="collapse" id="mycard-collapse-5">
                        <div class="card-body">
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="name">@lang('asset.Acquisition Method')</label>
                                    <input id="name" type="text" value="{{ old('acquisition_method') }}"
                                        class="form-control @error('acquisition_method') is-invalid @enderror"
                                        name="acquisition_method" autofocus>
                                    @error('acquisition_method')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group col-6">
                                    <label>@lang('asset.Acquisition Date')</label>
                                    <input type="date" name="acquisition_date" value="{{ old('acquisition_date') }}"
                                        class="form-control datemask @error('acquisition_date') is-invalid @enderror"
                                        placeholder="YYYY/MM/DD">
                                    @error('acquisition_date')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-6">
                                    <label for="name">@lang('asset.Acquisition Cost')</label>
                                    <input id="name" type="number" value="{{ old('acquisition_cost') }}"
                                        class="form-control @error('acquisition_cost') is-invalid @enderror"
                                        name="acquisition_cost" autofocus>
                                    @error('acquisition_cost')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group col-6">
                                    <label for="asset_condition">@lang('asset.Asset Condition')</label>
                                    <select id="asset_condition" class="form-control" name="asset_condition" autofocus>
                                        <option value="" disabled selected>Choose...</option>
                                        <option value="bad">Bad</option>
                                        <option value="good">Good</option>
                                        <option value="very good">Very Good</option>
                                    </select>
                                </div>

                                <div class="form-group col-6">
                                    <label for="name">@lang('asset.Employee Custody')</label>
                                    <input id="name" type="text" value="{{ old('employee_custody') }}"
                                        class="form-control @error('employee_custody') is-invalid @enderror"
                                        name="employee_custody" autofocus>
                                    @error('employee_custody')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-danger btn-lg btn-block">
                        @lang('button.Update')
                    </button>
                </div>
            </form>
        </div>
    </div>


@endsection
