@extends('admin.layout.master')
@section('title', 'Export Asset')
@section('section', __('asset.Export Asset'))

@section('body')
    <div class="container">
        <div class="modal-content">
            <div class="modal-header">
                <h5>@lang('asset.Select Fields to Export')</h5>
                ( @lang('asset.Asset Type Is Auto Selected') )
            </div>
            <div class="modal-body">
                <form action="{{ route('export.asset') }}" method="POST">
                    @csrf
                    <!-- Split the checkboxes into two columns -->
                    <input type="hidden" name="id" value="{{ $id }}">
                    <div class="row">
                        <div class="col-md-6">
                            <!-- List of checkboxes for the first column -->
                            @php $columnCollection = collect($columns); @endphp
                            @foreach ($columnCollection->slice(0, ceil($columnCollection->count() / 2)) as $column)
                                <div class="form-check {{ $column }}">
                                    <input class="form-check-input" type="checkbox" name="fields[]"
                                        value="{{ $column }}" checked>
                                    <label class="form-check-label" for="defaultCheck1">
                                        {{ $column }}
                                    </label>
                                </div>
                            @endforeach
                        </div>
                        <div class="col-md-6">
                            <!-- List of checkboxes for the second column -->
                            @foreach ($columnCollection->slice(ceil($columnCollection->count() / 2)) as $column)
                                <div class="form-check">
                                    <input class="form-check-input {{ $column }}" type="checkbox" name="fields[]"
                                        value="{{ $column }}" checked>
                                    <label class="form-check-label" for="defaultCheck1">
                                        {{ $column }}
                                    </label>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary mt-4">@lang('button.Export')</button>
                </form>
            </div>
        </div>
    </div>
@endsection
