@extends('admin.layout.master')
@section('title', 'Distribution of tasks')
@section('section', __('task.Distribution of tasks'))

@section('body')

    <div class="container">
        <form action="{{ route('assign_tasks.asset') }}" method="post" id="assignAsset">
            @csrf
            <div class="row">
                <!-- Text input -->
                <div class="form-group col-6">
                    <label class="form-label" for="form6Example3">@lang('task.Total number of un-assign assets') (<span
                            class="text-danger">@lang('asset.Furniture')</span>)
                    </label>
                    <input type="text" id="exampleFirstName" value="{{ $furniture }}"
                        class="form-control form-control-user" disabled>
                </div>
                <div class="form-group col-6">
                    <label class="form-label" for="form6Example3">@lang('task.Total number of un-assign assets') (<span
                            class="text-danger">@lang('asset.Plant & Machinery')</span>)
                    </label>
                    <input type="text" id="exampleFirstName" value="{{ $machinary }}"
                        class="form-control form-control-user" disabled>
                </div>
                <div class="form-group col-6">
                    <label class="form-label" for="form6Example3">@lang('task.How many task you want to assign ?')</label>
                    <input type="number" name="number_of_tasks" id="exampleFirstName" value="{{ old('number_of_tasks') }}"
                        class="form-control form-control-user @error('number_of_tasks') is-invalid @enderror" />
                    @error('number_of_tasks')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group col-6">
                    <label for="asset_assign">@lang('task.Select the employee you want to assign asset')</label>
                    <select class="form-control select2 @error('asset_assign') is-invalid @enderror" name="asset_assign"
                        id="asset_assign">
                        <option value="" disabled selected>Choose...</option>
                        @foreach ($users as $user)
                            <option value="{{ $user->username }}" @if (old('asset_assign') == $user->username) selected @endif>
                                {{ $user->username }}
                            </option>
                        @endforeach
                    </select>
                    @error('asset_assign')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="form-group col-6">
                    <label for="country">@lang('task.For which country?')</label>
                    <select class="form-control select2 @error('country') is-invalid @enderror" name="country"
                        id="country" autofocus>
                        <option value="" disabled selected>Choose...</option>
                        @foreach ($countries as $country)
                            <option value="{{ $country->id }}">{{ $country->name }}</option>
                        @endforeach
                    </select>
                    <div class="row mt-3">
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="card-title">Furniture</h6>
                                    <div id="countryDataFurniture" class="text-danger">
                                        0
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="card-title">Plant & Machinery</h6>
                                    <div id="countryDataMachinary" class="text-danger">
                                        0
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @error('country')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group col-6">
                    <label for="region">@lang('task.For which region?')</label>
                    <select class="form-control select2 @error('region') is-invalid @enderror" name="region"
                        id="region">
                        <option value="" disabled selected>Choose Country To Continue</option>
                    </select>
                    <div class="row mt-3">
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="card-title">Furniture</h6>
                                    <div id="regionDataFurniture" class="text-danger">
                                        0
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="card-title">Plant & Machinery</h6>
                                    <div id="regionDataMachinary" class="text-danger">
                                        0
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    @error('region')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group col-6">
                    <label for="city">@lang('task.For which city?')</label>
                    <select class="form-control @error('city') is-invalid @enderror select2" name="city" id="city">
                        <option value="" disabled selected>Choose Region To Continue</option>
                    </select>
                    @error('city')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group col-6">
                    <label for="asset_type">@lang('task.Which asset type?')</label>
                    <select id="asset_type" class="form-control select2 @error('asset_type') is-invalid @enderror"
                        name="asset_type" autofocus>
                        <option value="" disabled selected>Choose...</option>
                        <option value="furniture">Furniture</option>
                        <option value="plantAndMachinery")>Plant &
                            Machinery</option>
                    </select>
                    @error('asset_type')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
            </div>
            <!-- Submit button -->
            <button type="button" class="btn btn-danger custom-red-bg" id="assignBtn">@lang('button.Assign Now')</button>
            <a name="" id="" class="btn btn-primary" href="{{ route('assets') }}"
                role="button">@lang('button.Back')</a>

        </form>
        <div>

            <!-- Confirmation Modal -->
            <div class="modal fade" id="confirmationModal" tabindex="-1" aria-labelledby="confirmationModalLabel"
                aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="confirmationModalLabel">@lang('task.Confirmation')</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            @lang('task.User location does not match!') <span class="text-danger">@lang('task.Do you want to continue?')</span>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary"
                                data-bs-dismiss="modal">@lang('button.Cancel')</button>
                            <button type="button" class="btn btn-danger"
                                id="confirmAssignBtn">@lang('button.Yes')</button>
                        </div>
                    </div>
                </div>
            </div>

            <script>
                // Assign button click event
                $('#assignBtn').click(function() {
                    // Get values from the form
                    var country = $('#country').val();
                    var region = $('#region').val();
                    // var city = $('#city').val();
                    var asset_assign = $('#asset_assign').val();

                    // Ajax request to check location match
                    $.ajax({
                        type: 'POST',
                        url: '{{ route('check_location.match') }}',
                        data: {
                            _token: '{{ csrf_token() }}',
                            country: country,
                            region: region,
                            // city: city,
                            asset_assign: asset_assign
                        },
                        success: function(response) {
                            if (response.success) {
                                // If location matches, submit the form
                                $('#assignAsset').submit();
                            } else {
                                // If location does not match, show confirmation modal
                                $('#confirmationModal').modal('show');
                            }
                        }
                    });
                });

                // Yes button click event in confirmation modal
                $('#confirmAssignBtn').click(function() {
                    $('#assignAsset').submit();
                });


                $(document).ready(function() {
                    $('#country').change(function() {
                        var countryId = $(this).val(); // Get the selected country value
                        $.ajax({
                            type: "GET",
                            url: "{{ route('country_wise.asset') }}",
                            data: {
                                'country_id': countryId
                            },
                            success: function(data) {

                                $('#countryDataFurniture').html(
                                    data.furniture);

                                $('#countryDataMachinary').html(
                                    data.machinary);

                            }
                        });
                    });
                });

                $(document).ready(function() {
                    $('#region').change(function() {
                        var regionId = $(this).val(); // Get the selected country value
                        $.ajax({
                            type: "GET",
                            url: "{{ route('region_wise.asset') }}",
                            data: {
                                'region_id': regionId
                            },
                            success: function(data) {

                                $('#regionDataFurniture').html(
                                    data.furniture);

                                $('#regionDataMachinary').html(
                                    data.machinary);

                            }
                        });
                    });
                });
            </script>

        @endsection
