@extends('admin.layout.master')
@section('title', 'Create City')
@section('section', 'Create City')

@section('body')
    <div class="container">
        <form action="{{ route('store.city') }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">Name</label>
                <input type="text" name="name" value="{{ old('name') }}"
                    class="form-control form-control-user @error('name') is-invalid @enderror" />
                @error('name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <div class="form-group">
                <label for="region">Region Name</label>
                <select class="form-control select2 @error('region') is-invalid @enderror" name="region">
                    <option value="" disabled selected>Choose...</option>
                    @if ($regions)
                        @foreach ($regions as $region)
                            <option value="{{ $region->id }}">{{ $region->name }}</option>
                        @endforeach
                    @endif
                </select>

                @error('region')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>


            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">Create</button>
        </form>
        <div>

        @endsection
