@extends('admin.layout.master')
@section('title', 'Edit Department')
@section('section', __('department.Edit Department'))

@section('body')

    <div class="container">
        <form action="{{ route('update.department', $department->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('department.Name')</label>
                <input type="text" value="{{ $department->name }}" name="name" class="form-control" />
            </div>
            <div class="form-group">
                <label for="department">@lang('department.Department Name')</label>
                <select class="form-control select2" name="departments_id">
                    <option value="" selected>Choose...</option>
                    @if ($departments)
                        @foreach ($departments as $dept)
                            <option value="{{ $dept->id }}"
                                {{ $department->departments_id == $dept->id ? 'selected' : '' }}>
                                {{ $dept->name }}
                            </option>
                        @endforeach
                    @endif

                </select>
            </div>


            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Update')</button>
        </form>
    </div>


@endsection
