@extends('admin.layout.master')
@section('title', 'Edit Entity')
@section('section', 'Edit Entity')

@section('body')
    <div class="container">

        <form action="{{ route('update.entity', $entity->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-group">
                <label for="name">Entity Name</label>
                <input id="name" type="text" value="{{ $entity->entity_name }}"
                    class="form-control @error('entity_name') is-invalid @enderror" name="entity_name" autofocus>
                @error('entity_name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <div class="form-group">
                <label for="number">Entity Code</label>
                <input id="number" type="number" value="{{ $entity->entity_code }}"
                    class="form-control @error('entity_code') is-invalid @enderror" name="entity_code">
                @error('entity_code')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4">Update</button>
        </form>

    </div>

@endsection
