@extends('admin.layout.master')
@section('title', 'Create Entity')
@section('section', __('entity.Create Entity'))

@section('body')

    <div class="container">

        <div class="card card-danger">
            <div class="card-header">
                <h2>@lang('entity.Please Add Entity Information')</h2>
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route('store.entity') }}">
                    @csrf
                    <div class="form-group">
                        <label for="name">@lang('entity.Entity Name')</label>
                        <input id="name" type="text" value="{{ old('entity_name') }}"
                            class="form-control @error('entity_name') is-invalid @enderror" name="entity_name" autofocus>
                        @error('entity_name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>

                    <div class="form-group">
                        <label for="number">@lang('entity.Entity Code')</label>
                        <input id="number" type="number" value="{{ old('entity_code') }}"
                            class="form-control @error('entity_code') is-invalid @enderror" name="entity_code">
                        @error('entity_code')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>

                    <div class="form-group">
                        <button type="submit" class="btn btn-danger btn-lg btn-block">
                            @lang('button.Create')
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection
