@extends('admin.layout.master')
@section('title', 'Manage Entity')
@section('section', __('entity.Manage Entity'))

@section('body')
    <div class="row" id="st-row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h2 class="m-0 font-weight-bold text-danger">@lang('entity.Entity Details')</h2>
                    @can('create-entity')
                        <a href="{{ route('create.entity') }}"><button class="btn btn-danger ml-2">@lang('button.Create New')</button></a>
                    @endcan
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped" id="dataTable">
                            <thead>
                                <tr>
                                    <th>@lang('entity.id')</th>
                                    <th>@lang('entity.Entity Name')</th>
                                    <th>@lang('entity.Entity Code')</th>
                                    <th>@lang('button.Action')</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">
        $(function() {
            var table = $('#dataTable').DataTable({
                stateSave: true,
                processing: true,
                serverSide: true,
                ajax: "{{ route('entities') }}",
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'entity_name',
                        name: 'entity_name'
                    },
                    {
                        data: 'entity_code',
                        name: 'entity_code'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ]
            });
        });
    </script>

@endsection
