@extends('admin.layout.master')
@section('title', 'Edit Level 2')
@section('section', __('level2.Edit Level 2'))

@section('body')

    <div class="container">
        <form action="{{ route('update.level2', $level2->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level2.Name')</label>
                <input type="text" value="{{ $level2->name }}" name="name" class="form-control" />
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level1.Name in arabic')</label>
                <input type="text" name="name_ar" value="{{ old('name_ar', $level2->name_ar) }}"
                    class="form-control form-control-user @error('name_ar') is-invalid @enderror" />
                @error('name_ar')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level2.Code')</label>
                <input type="number" value="{{ $level2->code }}" name="code" class="form-control" />
            </div>
            <div class="form-group">
                <label for="level1">@lang('level2.Level 1')</label>
                <select class="form-control select2" name="level1">
                    <option value="" disabled selected>Choose...</option>
                    @if ($level1s)
                        @foreach ($level1s as $level1)
                            <option value="{{ $level1->id }}" {{ $level2->level1_id == $level1->id ? 'selected' : '' }}>
                                {{ $level1->name }} ({{ $level1->code }})
                            </option>
                        @endforeach
                    @endif

                </select>
            </div>

            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Update')</button>
        </form>
    </div>


@endsection
