@extends('admin.layout.master')
@section('title', 'Create Level 2')
@section('section', __('level2.Create Level 2'))

@section('body')
    <div class="container">
        <form action="{{ route('store.level2') }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level2.Name')</label>
                <input type="text" name="name" value="{{ old('name') }}"
                    class="form-control form-control-user @error('name') is-invalid @enderror" />
                @error('name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level1.Name in arabic')</label>
                <input type="text" name="name_ar" value="{{ old('name_ar') }}"
                    class="form-control form-control-user @error('name_ar') is-invalid @enderror" />
                @error('name_ar')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level2.Code')</label>
                <input type="number" name="code" value="{{ old('code') }}"
                    class="form-control form-control-user @error('code') is-invalid @enderror" />
                @error('code')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label for="level1">@lang('level2.Level 1')</label>
                <select class="form-control select2 @error('level1') is-invalid @enderror" name="level1">
                    <option value="" disabled selected>Choose...</option>
                    @foreach ($level1s as $level1)
                        <option value="{{ $level1->id }}">
                            {{ $level1->name }} ({{ $level1->code }})
                        </option>
                    @endforeach
                </select>
                @error('level1')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Create')</button>
        </form>
        <div>

        @endsection
