@extends('admin.layout.master')
@section('title', 'Edit Level 3')
@section('section', __('level3.Edit Level 3'))

@section('body')

    <div class="container">
        <form action="{{ route('update.level3', $level3->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level3.Name')</label>
                <input type="text" value="{{ $level3->name }}" name="name" class="form-control" />
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level1.Name in arabic')</label>
                <input type="text" name="name_ar" value="{{ old('name_ar', $level3->name_ar) }}"
                    class="form-control form-control-user @error('name_ar') is-invalid @enderror" />
                @error('name_ar')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('level3.Code')</label>
                <input type="number" value="{{ $level3->code }}" name="code" class="form-control" />
            </div>
            <div class="form-group">
                <label for="level2">@lang('level3.Level 2')</label>
                <select class="form-control select2" name="level2">
                    <option value="" disabled selected>Choose...</option>
                    @if ($level2s)
                        @foreach ($level2s as $level2)
                            <option value="{{ $level2->id }}" {{ $level3->level2_id == $level2->id ? 'selected' : '' }}>
                                {{ $level2->name }} ({{ $level2->code }})
                            </option>
                        @endforeach
                    @endif

                </select>
            </div>
            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Update')</button>
        </form>
    </div>


@endsection
