@if (isset($export_permission))
    @can($export_permission)
        <a href="{{ $export_route }}" class="btn btn-light btn-sm"><i class="fas fa-cloud-download-alt"></i></a>
    @endcan
@endif

@if (isset($assign_permission))
    @can($assign_permission)
        <a href="{{ $assign_route }}" class="btn btn-warning btn-sm"><i class="fas fa-user-tag"></i></a>
    @endcan
@endif

@if (isset($view_permission))
    @can($view_permission)
        <a href="{{ $view_route }}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
    @endcan
@endif

@if (isset($edit_permission))
    @can($edit_permission)
        <a href="{{ $edit_route }}" class="edit btn btn-primary btn-sm"><i class="fa fa-pen"></i></a>
    @endcan
@endif

@if (isset($image_download_permission))
    @can($image_download_permission)
        <a href="{{ $image_download_route }}" class="edit btn btn-dark btn-sm"><i class="fa fa-download"></i></a>
    @endcan
@endif

@if (isset($delete_permission))
    @can($delete_permission)
        <button id="deletebtn" type="button" class="btn btn-danger btn-sm deletebtn" data-bs-toggle="modal"
            data-bs-target="#deletePop" data_value="{{ $delete_route }}">
            <i class="fas fa-trash"></i>
        </button>
    @endcan
@endif

<!-- Modal -->
<div class="modal fade" id="deletePop" tabindex="-1" aria-labelledby="deletePopLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel" style="color: rgb(0, 0, 0)">Data Delete</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <span style="color: rgb(194, 4, 4)"> You Want To Delete It?</span>
            </div>
            <form id="deleteForm" action="" method="POST">
                @method('DELETE')
                @csrf
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Cancel</button>
                    <button type="Submit" class="btn btn-danger ">Delete</button>
                </div>
            </form>
        </div>
    </div>
</div>


<script type="text/javascript" charset="utf-8">
    $(document).ready(function() {
        $('.deletebtn').click(function() {

            $("#deleteForm").attr("action", $(this).attr('data_value'));

        });
    });
</script>
