<nav class="navbar navbar-expand-lg main-navbar">
    <form class="form-inline mr-auto">
        <ul class="navbar-nav mr-3">
            <li><a href="#" data-toggle="sidebar" class="nav-link nav-link-lg"><i class="fas fa-bars"></i></a></li>
        </ul>
    </form>

    <ul class="navbar-nav navbar-right">
        <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                <div class="d-sm-none d-lg-inline-block">@lang('button.Language')</div>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                <a href="{{ route('set.language', ['lang' => 'en']) }}" class="dropdown-item has-icon">
                    <img src="{{ asset('admin/img/america.png') }}" alt="" height="15" width="15">
                    English
                </a>
                <a href="{{ route('set.language', ['lang' => 'ar']) }}" class="dropdown-item has-icon">
                    <img src="{{ asset('admin/img/saudia.png') }}" alt="" height="20" width="20"> Arabic
                </a>
            </div>
        </li>
    </ul>

    <ul class="navbar-nav navbar-right">
        <li class="dropdown"><a href="#" data-toggle="dropdown"
                class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                <div class="d-sm-none d-lg-inline-block">Hi, {{ Auth::user()->name }}</div>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                <a href="{{ route('profile', ['user' => Auth::user()->id]) }}" class="dropdown-item has-icon">
                    <i class="far fa-user"></i> @lang('button.Profile')
                </a>
                <div class="dropdown-divider"></div>
                    <a href="{{ route('cache_setting') }}" class="dropdown-item has-icon">
                        <i class="fas fa-wrench"></i> @lang('button.Setting')
                    </a>
                    <div class="dropdown-divider"></div>
                <a href="#" data-bs-toggle="modal" data-bs-target="#logoutModal"
                    class="dropdown-item has-icon text-danger">
                    <i class="fas fa-sign-out-alt"></i> @lang('button.Logout')
                </a>
            </div>
        </li>
    </ul>

</nav>


<script>
    $(document).ready(function() {
        $('.language-option').click(function(e) {
            e.preventDefault();
            var locale = $(this).data('locale');
            $.ajax({
                type: 'GET',
                url: '/change-language/' + locale,
                success: function(response) {
                    // Reload the page or update content as needed
                    location.reload(); // Reload the page for demonstration
                },
                error: function(xhr, status, error) {
                    console.error(error);
                }
            });
        });
    });
</script>
