<div class="main-sidebar sidebar-style-2">
    <aside id="sidebar-wrapper">
        <div class="sidebar-brand">
            <a href="{{ route('dashboard') }}"><img src="{{ asset('admin/img/sidebarlogo.png') }}" alt=""
                    id="side-bar-logo"></a>
        </div>
        <div class="sidebar-brand sidebar-brand-sm">
            <a href="{{ route('dashboard') }}"><img src="{{ asset('admin/img/sidebarLogo.png') }}" alt=""
                    id="side-bar-logo"></a>
        </div>
        <ul class="sidebar-menu">
            <li class="menu-header">Dashboard</li>
            <li class="dropdown {{ Route::is('dashboard') ? 'active' : '' }}">
                <a href="{{ route('dashboard') }}" class="nav-link"><i
                        class="fas fa-fire"></i><span>@lang('sidebar.Dashboard')</span></a>
            </li>

            @canany(['list-asset', 'list-flag_asset', 'list-status', 'list-finish_asset'])
                <li class="dropdown {{ Route::is('assets', 'flag.asset', 'status', 'finish.asset') ? 'active' : '' }}">
                    <a href="#" class="nav-link has-dropdown" data-toggle="dropdown"><i
                            class="fas fa-shopping-bag"></i>
                        <span>@lang('sidebar.Manage Assets')</span></a>
                    <ul class="dropdown-menu" style="display: block;">
                        @can('list-asset')
                            <li class="{{ Route::is('assets') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('assets') }}">@lang('sidebar.Assets')</a></li>
                        @endcan
                        @can('list-flag_asset')
                            <li class="{{ Route::is('flag.asset') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('flag.asset') }}">@lang('sidebar.Flag Assets')</a></li>
                        @endcan
                        @if (Auth::user()->hasRole(App\Models\User::DATA_ENTRY_ROLE))
                            <li class="{{ Route::is('assign.asset_list') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('assign.asset_list') }}">@lang('sidebar.Assigned Assets')</a></li>
                        @endif
                        @can('list-finish_asset')
                            <li class="{{ Route::is('finish.asset') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('finish.asset') }}">@lang('sidebar.Finish Assets')</a></li>
                        @endcan
                        @can('list-status')
                            <li class="{{ Route::is('status') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('status') }}">@lang('sidebar.Status')</a></li>
                        @endcan
                    </ul>
                </li>
            @endcanany


            @can('list-entity')
                <li class="dropdown {{ Route::is('entities') ? 'active' : '' }}">
                    <a href="{{ route('entities') }}" class="nav-link"><i
                            class="fas fa-building"></i><span>@lang('sidebar.Entities')</span></a>
                </li>
            @endcan
            @can('list-media')
                <li class="dropdown {{ Route::is('media') ? 'active' : '' }}">
                    <a href="{{ route('media') }}" class="nav-link"><i
                            class="fas fa-images"></i><span>@lang('sidebar.Media')</span></a>
                </li>
            @endcan
            @canany(['list-level1', 'list-level2', 'list-level3', 'list-level4'])
                <li class="dropdown {{ Route::is('level1', 'level2', 'level3', 'level4') ? 'active' : '' }}">
                    <a href="#" class="nav-link has-dropdown" data-toggle="dropdown"><i class="fas fa-server"></i>
                        <span>@lang('sidebar.Manage Classifications')</span></a>
                    <ul class="dropdown-menu" style="display: block;">
                        @can('list-level1')
                            <li class="{{ Route::is('level1') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('level1') }}">@lang('sidebar.Level 1')</a></li>
                        @endcan
                        @can('list-level2')
                            <li class="{{ Route::is('level2') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('level2') }}">@lang('sidebar.Level 2')</a></li>
                        @endcan
                        @can('list-level3')
                            <li class="{{ Route::is('level3') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('level3') }}">@lang('sidebar.Level 3')</a></li>
                        @endcan
                        @can('list-level4')
                            <li class="{{ Route::is('level4') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('level4') }}">@lang('sidebar.Level 4')</a></li>
                        @endcan
                    </ul>
                </li>
            @endcanany

            @can('list-valuation_method')
                <li class="dropdown {{ Route::is('valuations') ? 'active' : '' }}">
                    <a href="{{ route('valuations') }}" class="nav-link"><i
                            class="fas fa-universal-access"></i><span>@lang('sidebar.Valuation Method')</span></a>
                </li>
            @endcan
            @canany(['list-country', 'list-region', 'list-city'])
                <li class="dropdown {{ Route::is('countries', 'regions', 'cities') ? 'active' : '' }}">
                    <a href="#" class="nav-link has-dropdown" data-toggle="dropdown"><i class="fas fa-globe"></i>
                        <span>@lang('sidebar.Manage Location')</span></a>
                    <ul class="dropdown-menu" style="display: block;">
                        @can('list-country')
                            <li class="{{ Route::is('countries') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('countries') }}">@lang('sidebar.Country')</a></li>
                        @endcan
                        @can('list-region')
                            <li class="{{ Route::is('regions') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('regions') }}">@lang('sidebar.Region')</a></li>
                        @endcan
                        @can('list-city')
                            <li class="{{ Route::is('cities') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('cities') }}">@lang('sidebar.City')</a></li>
                        @endcan
                    </ul>
                </li>
            @endcanany

            @canany(['list-user', 'list-permission', 'list-role'])
                <li class="dropdown {{ Route::is('users', 'permissions', 'roles') ? 'active' : '' }}">
                    <a href="#" class="nav-link has-dropdown" data-toggle="dropdown"><i class="fas fa-user"></i>
                        <span>@lang('sidebar.Manage Users')</span></a>
                    <ul class="dropdown-menu" style="display: block;">
                        @can('list-user')
                            <li class="{{ Route::is('users') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('users') }}">@lang('sidebar.Users')</a></li>
                        @endcan
                        {{-- @can('list-permission')
                            <li class="{{ Route::is('permissions') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('permissions') }}">@lang('sidebar.Permissions')</a></li>
                        @endcan --}}
                        @can('list-role')
                            <li class="{{ Route::is('roles') ? 'active' : '' }}"><a class="nav-link"
                                    href="{{ route('roles') }}">@lang('sidebar.Roles')</a></li>
                        @endcan

                    </ul>
                </li>
            @endcanany
            @can('export-asset')
                <li class="dropdown {{ Route::is('project_report.asset') ? 'active' : '' }}">
                    <a href="{{ route('project_report.asset') }}" class="nav-link"><i
                            class="fab fa-buromobelexperte"></i><span>@lang('sidebar.Projects report')</span></a>
                </li>
            @endcan
            @can('list-department')
                <li class="dropdown {{ Route::is('departments') ? 'active' : '' }}">
                    <a href="{{ route('departments') }}" class="nav-link"><i
                            class="fas fa-warehouse"></i><span>@lang('sidebar.Manage Departments')</span></a>
                </li>
            @endcan

            {{-- <li class="menu-header">Management</li> --}}
        </ul>
    </aside>
</div>
