@extends('admin.layout.master')
@section('title', 'Project Report')
@section('section', __('project_report.Project Report'))

@section('body')
    <div class="container">
        <form action="{{ route('export_project_report.asset') }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label>@lang('project_report.Start Date')</label>
                <input type="date" name="start_date" value="{{ old('start_date') }}"
                    class="form-control datemask @error('start_date') is-invalid @enderror" placeholder="YYYY/MM/DD">
                @error('start_date')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label>@lang('project_report.End Date')</label>
                <input type="date" name="end_date" value="{{ old('end_date') }}"
                    class="form-control datemask @error('end_date') is-invalid @enderror" placeholder="YYYY/MM/DD">
                @error('end_date')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label for="admin_status">@lang('project_report.Status')</label>
                <select class="form-control select2 @error('admin_status') is-invalid @enderror" name="admin_status">
                    <option value="" disabled selected>Choose...</option>
                    @foreach ($status as $st)
                        <option value="{{ $st->name }}">{{ $st->name }}</option>
                    @endforeach
                    <option value="all">All</option>
                </select>
                @error('admin_status')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Create')</button>
        </form>
        <div>
        @endsection
