@extends('admin.layout.master')
@section('title', 'Edit Region')
@section('section', __('region.Edit Region'))

@section('body')

    <div class="container">
        <form action="{{ route('update.region', $regions->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('region.Name')</label>
                <input type="text" value="{{ $regions->name }}" name="name" class="form-control" />
            </div>
            <div class="form-group">
                <label for="country">@lang('region.Country Name')</label>
                <select class="form-control select2" name="country">
                    <option value="" disabled selected>Choose...</option>
                    @if ($countries)
                        @foreach ($countries as $country)
                            <option value="{{ $country->id }}"
                                {{ $regions->country_id == $country->id ? 'selected' : '' }}>
                                {{ $country->name }}
                            </option>
                        @endforeach
                    @endif

                </select>
            </div>


            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Update')</button>
        </form>
    </div>


@endsection
