@extends('admin.layout.master')
@section('title', 'Manage regions')
@section('section', __('region.Manage Regions'))

@section('body')
    <div class="container-fluid">
        <!-- DataTales Example -->
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h2 class="m-0 font-weight-bold text-danger">@lang('region.Manage Regions')</h2>
                @can('create-region')
                    <a class="btn btn-danger float-right ml-2" href="{{ route('create.region') }}"
                        style="margin-top: -2px;">@lang('button.Create New')</a>
                @endcan
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>@lang('region.id')</th>
                                <th>@lang('region.Region Name')</th>
                                <th>@lang('region.Country')</th>
                                <th width="8%">@lang('button.Action')</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>



    <script type="text/javascript">
        $(function() {
            var table = $('#dataTable').DataTable({
                stateSave: true,
                processing: true,
                serverSide: true,
                ajax: "{{ route('regions') }}",
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'name',
                        name: 'name'
                    },
                    {
                        data: 'country_name',
                        name: 'country_name'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ]
            });
        });
    </script>

@endsection
