@extends('admin.layout.master')
@section('title', 'Edit Role')
@section('section', __('role.Edit Role'))

@section('body')
    <div class="container">
        <form action="{{ route('update.role', $newObj->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="form-outline mb-4">
                <label class="form-label" for="form6Example3">@lang('role.Name')</label>
                <input type="text" value="{{ $newObj->name }}" name="name" id="form6Example3" class="form-control" />
            </div>
            <div class="row" style="display: inline;">
                <div class="form-group mb-2">
                    <div class="row mb-3">
                        @forelse ($permissions as $title => $permission_section)
                            @if ($loop->index != 0 && $loop->index % 4 == 0)
                    </div>
                    <div class="row mb-3">
                        @endif
                        <div class="col-3">
                            <h4>{{ ucfirst($title) }}</h4>
                            @foreach ($permission_section as $permission)
                                <div class="custom-control custom-checkbox custom-control">
                                    <input name="permission[]" type="checkbox" class="custom-control-input"
                                        id="permission-{{ $permission->id }}" value="{{ $permission->id }}"
                                        {{ in_array($permission->id, $checked) ? 'checked' : '' }}>
                                    <label class="custom-control-label"
                                        for="permission-{{ $permission->id }}">{{ $permission->name }}</label>
                                </div>
                            @endforeach
                        </div>


                    @empty
                        <span>No Permission</span>
                        @endforelse
                    </div>
                </div>
            </div>
            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4 custom-red-bg">@lang('button.Update')</button>
        </form>
        <div>


        @endsection
