@extends('admin.layout.master')
@section('title', 'Manage Role')
@section('section', __('role.Manage Role'))

@section('body')
    <!-- Begin Page Content -->
    <div class="container-fluid">
        <!-- DataTales Example -->
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h2 class="m-0 font-weight-bold text-danger">@lang('role.Manage Role')</h2>
                {{-- @can('create-role')
                    <a class="btn btn-danger float-right ml-2 mt-1" href="{{ route('create.role') }}"
                        style="margin-top: -18px;">@lang('button.Create New')</a>
                @endcan --}}
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>@lang('role.Name')</th>
                                <th>@lang('role.Permissions')</th>
                                <th width="8%">@lang('button.Action')</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <!-- /.container-fluid -->

    <script type="text/javascript">
        $(function() {
            // alert('Please wait...');
            var table = $('#dataTable').DataTable({
                stateSave: true,
                processing: true,
                serverSide: true,
                ajax: "{{ route('roles') }}",
                columns: [{
                        data: 'name',
                        name: 'name'
                    },
                    {
                        data: 'permissions',
                        name: 'permissions',
                        orderable: false,
                        searchable: false
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ]
            });

        });
    </script>
@endsection
