@extends('admin.layout.master')
@section('title', 'Cache Settings')
@section('section', __('setting.Cache Settings'))

@section('body')

    <div class="col-12 col-sm-7 col-lg-12">
        <div class="card">
            <div class="card-header">
                <h4>@lang('setting.Clear Cache And Optimize Project')</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-4">
                        <ul class="nav nav-pills flex-column" id="myTab4" role="tablist">
                            @if (Auth::user()->hasRole(\App\Models\User::SUPER_ADMIN_ROLE))
                                <li class="nav-item">
                                    <a class="nav-link active" id="home-tab4" data-toggle="tab" href="#home4"
                                        role="tab" aria-controls="home" aria-selected="true">@lang('setting.Cache Clear')</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="contact-tab4" data-toggle="tab" href="#routeclear"
                                        role="tab" aria-controls="contact" aria-selected="false">@lang('setting.View clear')</a>
                                </li>
                            @endif
                            <li class="nav-item">
                                <a class="nav-link" id="session-tab4" data-toggle="tab" href="#sessionclear" role="tab"
                                    aria-controls="contact" aria-selected="false">@lang('setting.Department Session')</a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-12 col-sm-12 col-md-8">
                        <div class="tab-content no-padding" id="myTab2Content">
                            @if (Auth::user()->hasRole(\App\Models\User::SUPER_ADMIN_ROLE))
                                <div class="tab-pane fade show active" id="home4" role="tabpanel"
                                    aria-labelledby="home-tab4">
                                    @lang('setting.Cache Clear Description')<br>
                                    <a name="" id="" class="btn btn-danger mt-3"
                                        href="{{ route('cache_clear') }}" role="button">@lang('button.Clear Cache')</a>

                                </div>
                                <div class="tab-pane fade" id="routeclear" role="tabpanel" aria-labelledby="contact-tab4">
                                    @lang('setting.View clear Description')<br>
                                    <a name="" id="" class="btn btn-danger mt-3"
                                        href="{{ route('view_clear') }}" role="button">@lang('button.Clear View Cache')</a>
                                </div>
                            @endif

                            <div class="tab-pane fade" id="sessionclear" role="tabpanel" aria-labelledby="session-tab4">
                                @lang('setting.Department Session Clear Description')<br>
                                <a name="" id="" class="btn btn-danger mt-3"
                                    href="{{ route('department_session_clear') }}" role="button">@lang('button.Clear Session')</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
