@extends('admin.layout.master')
@section('title', 'Edit')
@section('section', __('user.Edit User'))

@section('body')

    <div class="container-fluid">

        <div class="row">

            @if ($userRoles->contains(App\Models\User::FIELD_USER_ROLE))
                <div class="col-lg-3 col-md-6 col-sm-6 col-12">
                    <div class="card card-statistic-1">
                        <div class="card-icon bg-danger">
                            <i class="far fa-user"></i>
                        </div>
                        <div class="card-wrap">
                            <div class="card-header" id="qiam-cards">
                                <h4>@lang('dashboard.Assets Owner')</h4>
                            </div>
                            <div class="card-body">
                                {{ $task }}
                            </div>
                        </div>
                    </div>
                </div>
            @endif

            @if ($userRoles->contains(App\Models\User::DATA_ENTRY_ROLE))
                <div class="col-lg-3 col-md-6 col-sm-6 col-12">
                    <div class="card card-statistic-1">
                        <div class="card-icon bg-danger">
                            <i class="fas fa-shopping-bag"></i>
                        </div>
                        <div class="card-wrap">
                            <div class="card-header" id="qiam-cards">
                                <h4>@lang('dashboard.Current Assign Assets')</h4>
                            </div>
                            <div class="card-body">
                                {{ $task }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-md-6 col-sm-6 col-12">
                    <div class="card card-statistic-1">
                        <div class="card-icon bg-primary">
                            <i class="fas fa-shopping-bag"></i>
                        </div>
                        <div class="card-wrap">
                            <div class="card-header" id="qiam-cards">
                                <h4>@lang('dashboard.Complete Tasks')</h4>
                            </div>
                            <div class="card-body">
                                {{ $completeTask }}
                            </div>
                        </div>
                    </div>
                </div>
            @endif
        </div>



        <form action="{{ route('update.user', $user->id) }}" method="post">
            @csrf
            <!-- Text input -->
            <div class="row">
                <div class="form-outline mb-4 col-6">
                    <label class="form-label" for="form6Example3">@lang('user.Name')</label>
                    <input type="text" value="{{ $user->name }}" name="name" id="form6Example3"
                        class="form-control @error('name') is-invalid @enderror" />
                    @error('name')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="form-outline mb-4 col-6">
                    <label>@lang('user.Username')</label>
                    <input type="text" name="username" class="form-control" value="{{ $user->username }}" readonly>
                    <div class="invalid-feedback">
                        Please fill in the first name
                    </div>
                </div>

                <!-- Email input -->
                <div class="form-outline mb-4 col-6">
                    <label class="form-label" for="form6Example5">@lang('user.Email')</label>
                    <input type="email" value="{{ old('email', $user->email) }}" name="email" id="form6Example5"
                        class="form-control @error('email') is-invalid @enderror" />
                    @error('email')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="form-outline mb-4 col-6">
                    <label class="form-label" for="form6Example3">@lang('user.Phone #')</label>
                    <input type="phone" value="{{ old('phone', $user->phone) }}" name="phone" id="form6Example3"
                        class="form-control @error('phone') is-invalid @enderror" />
                    @error('phone')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
            </div>

            <div class="form-group">
                <label>@lang('user.Select Role')</label>
                <select class="form-control" multiple="" data-height="100%" style="height: 100%;" name="role[]">
                    @foreach ($roles as $role)
                        <option value="{{ $role->name }}" @if ($userRoles->contains($role->name)) selected @endif>
                            {{ $role->name }}</option>
                    @endforeach
                </select>
            </div>


            <div class="card">
                <div class="card-header" data-toggle="collapse" data-target="#mycard-collapse-3">
                    <h4 id="grab-me">@lang('user.Location (Optional)')</h4>
                    <div class="card-header-action">
                        <a data-collapse="#mycard-collapse-3" class="btn btn-icon btn-danger" href="#"><i
                                class="fas fa-map-pin"></i></a>
                    </div>
                </div>
                <div class="collapse" id="mycard-collapse-3" style="">
                    <div class="card-body">
                        <div class="row">
                            <div class="form-group col-6">
                                <label for="country">@lang('user.Country')</label>
                                <select class="form-control select2 @error('country') is-invalid @enderror" name="country"
                                    id="country" autofocus>
                                    <option value="" selected>Choose...</option>
                                    @foreach ($countries as $country)
                                        <option value="{{ $country->id }}"
                                            @if ($user->country == $country->name) selected @endif>
                                            {{ $country->name }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('country')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group col-6">
                                <label for="region">@lang('user.Region')</label>
                                <select class="form-control select2 @error('region') is-invalid @enderror" name="region"
                                    id="region">
                                    <option value="" disabled selected>Choose Country To Continue</option>
                                    <option value="">Choose...</option>
                                    @foreach ($regions as $region)
                                        <option value="{{ $region->id }}"
                                            @if ($user->region == $region->name) selected @endif>
                                            {{ $region->name }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('region')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                        </div>
                        <div class="row">
                            <div class="form-group col-6">
                                <label for="city">@lang('user.City')</label>
                                <select class="form-control @error('city') is-invalid @enderror select2" name="city"
                                    id="city">
                                    <option value="" disabled selected>Choose Region To Continue</option>
                                    <option value="">Choose...</option>
                                    @foreach ($cities as $city)
                                        <option value="{{ $city->id }}"
                                            @if ($user->city == $city->name) selected @endif>
                                            {{ $city->name }}
                                        </option>
                                    @endforeach
                                </select>
                                @error('city')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group col-6">
                                <label for="name">@lang('user.Building Number')</label>
                                <input id="name" type="text" value="{{ $user->building_number }}"
                                    class="form-control @error('building_number') is-invalid @enderror"
                                    name="building_number" autofocus>
                                @error('building_number')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>



            <!-- Submit button -->
            <button type="submit" class="btn btn-danger btn-block mb-4">Update</button>
        </form>
    </div>


@endsection
