@extends('admin.layout.master')
@section('title', 'Manage Users')
@section('section', __('user.Manage Users'))

@section('body')
    <div class="row" id="st-row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h2 class="m-0 font-weight-bold text-danger">@lang('user.User Details')</h2>
                    @can('create-user')
                        <a href="{{ route('create.user') }}"><button class="btn btn-danger ml-2">@lang('button.Create New')</button></a>
                    @endcan
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped" id="dataTable">
                            <thead>
                                <tr>
                                    <th>@lang('user.id')</th>
                                    <th>@lang('user.Name')</th>
                                    <th>@lang('user.Phone #')</th>
                                    <th>@lang('user.Email')</th>
                                    <th>@lang('user.Tasks')</th>
                                    <th>@lang('user.Role')</th>
                                    <th>@lang('button.Action')</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">
        $(function() {
            var table = $('#dataTable').DataTable({
                stateSave: true,
                processing: true,
                serverSide: true,
                ajax: "{{ route('users') }}",
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'name',
                        name: 'name'
                    },
                    {
                        data: 'phone',
                        name: 'phone'
                    },
                    {
                        data: 'email',
                        name: 'email'
                    },
                    {
                        data: 'task',
                        name: 'task'
                    },
                    {
                        data: 'role',
                        name: 'role'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ]
            });
        });
    </script>

@endsection
