<?php

use App\Http\Controllers\Api\AssetController;
use App\Http\Controllers\Api\AuthController;
use App\Http\Controllers\Api\CityController;
use App\Http\Controllers\Api\CountryController;
use App\Http\Controllers\Api\EntityController;
use App\Http\Controllers\Api\RegionController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;


Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('v1/account/login', [AuthController::class, 'login']);

Route::middleware('auth:sanctum')->prefix('v1')->group(function () {
    Route::get('companies', [EntityController::class, 'companies']);
    Route::get('asset/descriptions', [AssetController::class, 'assetDescriptions']);
    Route::post('hardware', [AssetController::class, 'storeAssets']);
    Route::get('country/list', [CountryController::class, 'allCountries']);
    Route::get('region/{country}/list', [RegionController::class, 'allregions']);
    Route::get('city/{region}/list', [CityController::class, 'allcities']);
    Route::get('city/details', [CityController::class, 'cityDetails']);

    Route::get('barcode/list', [AssetController::class, 'barcodeList']);

    Route::get('asset/building-number/list', [AssetController::class, 'buildingList']);
    Route::get('asset/floor-number/list', [AssetController::class, 'floorList']);
    Route::get('asset/room-number/list', [AssetController::class, 'roomList']);
});
